/* 
 * Initialize and register commands in tcl interpreter
 */

#include <tk.h>
#include "sldExternals.h"	

extern int SlideCmd _ANSI_ARGS_((ClientData clientData,
	Tcl_Interp *interp, int argc, char *argv[]));

int
Sldw_Init( Tcl_Interp *interp)
{
    static int initialized = 0;
    Tcl_PkgProvide(interp,"Sldw","1.0");

    Tcl_CreateCommand(interp, "slide", SlideCmd,
	    (ClientData) Tk_MainWindow(interp), (Tcl_CmdDeleteProc *) NULL);
    return TCL_OK;
}
                                                        