/*
 * an auxiliary program to compute dithering matrix
 */
 
#include <stdio.h>

static int m4x4[4][4] =  {
 	 0, 14,  3, 13,
	11,  5,  8,  6,
	12,  2, 15,  1,
	 7,  9,  4, 10
};
int div8[256];
int mod8[256];
int div4[256];
int mod4[256];
int dith_rg[8];
int dith_b[4];
int dith8[16][16];
int dith4[16][16];

main() {
    int c,x,i,j,k,l;
    double factor;
    
    for (c=0; c<8; c++) {
        dith_rg[c] = (c << 5) + (c << 2) + (c >> 1);
    }
    for (c=0; c<4; c++) {
        dith_b[c] = (c << 6) + (c << 4) + (c << 2) + c ;
    }
    for (x = 0; x < 256; x++) {
        div8[x] = (int)(x/36);
        div4[x] = (int)(x/85);
        mod8[x] = x - (int)(36*div8[x]);
        mod4[x] = x - (int)(85*div4[x]);
    }
    
    factor = 36./16.;
    for ( i = 0; i < 4; i++ )
	for ( j = 0; j < 4; j++ )
	    for ( k = 0; k < 4; k++ )
		for ( l = 0; l < 4; l++ )
		    dith8[4*k+i][4*l+j] =
			(int)(0.5 + m4x4[i][j] * factor +
			      (m4x4[k][l] / 16.) * factor);
    factor = 85./16.;
    for ( i = 0; i < 4; i++ )
	for ( j = 0; j < 4; j++ )
	    for ( k = 0; k < 4; k++ )
		for ( l = 0; l < 4; l++ )
		    dith4[4*k+i][4*l+j] =
			(int)(0.5 + m4x4[i][j] * factor +
			      (m4x4[k][l] / 16.) * factor);
    
printf("int dith_rg[] = {\n");
    for (c=0; c<8; c++) {
        printf("%d,",dith_rg[c]);
    }
printf("\n};\nint dith_b[] = {\n");
    for (c=0; c<4; c++) {
        printf("%d,",dith_b[c]);
    }
printf("\n};\nint div8[] = {\n");
    for (c=0; c<256; c++) {
        printf("%d,",div8[c]);
    }
printf("\n};\nint mod8[] = {\n");
    for (c=0; c<256; c++) {
        printf("%d,",mod8[c]);
    }
printf("\n};\nint div4[] = {\n");
    for (c=0; c<256; c++) {
        printf("%d,",div4[c]);
    }
printf("\n};\nint mod4[] = {\n");
    for (c=0; c<256; c++) {
        printf("%d,",mod4[c]);
    }
printf("\n};\nint dith8[16][16] = {\n");
    for ( i = 0; i < 16; i++ ) {
	    for ( j = 0; j < 16; j++ ) {
	        printf("%d,",dith8[i][j]);
	    }
	    printf("\n");
	}
printf("\n};\nint dith4[16][16] = {\n");
    for ( i = 0; i < 16; i++ ) {
	    for ( j = 0; j < 16; j++ ) {
	        printf("%d,",dith4[i][j]);
	    }
	    printf("\n");
	}
printf("\n};\n");
}
